<?php
/**
 * kreXX: Krumo eXXtended
*
* kreXX is a debugging tool (PHP5.3 only), which displays structured information
* about any PHP object. It is a nice replacement for print_r() or var_dump()
* which are used by a lot of PHP developers.
* @author brainworXX GmbH <info@brainworxx.de>
*
 * kreXX is a fork of Krumo, which was originally written by:
 * Kaloyan K. Tsvetkov <kaloyan@kaloyan.info>
*
*
*
* @license http://opensource.org/licenses/LGPL-2.1 GNU Lesser General Public License Version 2.1
* @package kreXX
*/

namespace kreSpace;

/**
 * kreXX help handler
 * 
 * @package kreXX
 */
class kreXXHelp {
	
	// A simpe array to hold the values
	// There should not bee any string collusions
	private static $helpArray = array(
			'localFunction' => 'Here you can enter your own alias function for \krexx::open().<br>Example: When you enter \'gue\', the function will be \krexx::gue($myObject); [or krexx($myObject, \'gue\');], which only you can use.<br>This is usefull, to prevent other devs from calling your debug functions.',
			'analyseProtected' => 'Shall kreXX try to analyse the protectec properties of a class?<br>This may result in a lot of output.',
			'analysePrivate' => 'Shall kreXX try to analyse the private properties of a class?<br>This may result in a lot of output.',
			'analyseMethods' => 'Shall kreXX use reflections to provide additonal infos about public properties?',
			'analyseTraversable' => 'Shall kreXX try to analyse possible traversable data?<br>Depending on the underlying framework this info might be covered by the debug callback functions.',
			'debugMethods' => 'Comma-separated list of used debug callback functions. A lot of frameworks offer these, toArray and toString beeing the most common.<br>kreXX will try to call them, when aviable and display their provided data.<br>Be warned though, they will be called without arguments, what might result in warnings or even fatal errors.',
			'level' => 'Some frameworks have objects inside of objects inside of objects, and so on.<br>Normally kreXX not trun in circles, but going to deep inside of an object tree can result in a lot of output. ',
			
			'currentSettings' => 'Some configuration values can be edited. Changes will be stored in a cookie and overwrite the ini and factory settings.'
	);
	
	/**
	 * Returns the helptext when found, otherwise
	 * returns an empty string
	 * 
	 * @param string $what
	 *        The DOM Handler
	 * @return string 
	 *        The help text
	 */
	protected static function getHelp($what) {
		$result = '';
		if (isset(self::$helpArray[$what])) {
			$result = self::$helpArray[$what];
		} 
		return $result;
	}
}